Skip to main content
GET
List Retain Refunds

Query Parameters

start_timestamp
string<date-time> | null

A date-time parameter (as defined by RFC 3339), allowing to filter for a time range. Enter the time of the Transaction submission to Retain that you'd like to see.

Defaults to Retain system current date and time minus 1 day. Range with end_timestamp cannot exceed 31 days.

end_timestamp
string<datetime>

The date-time parameter, (as defined by RFC 3339, section 5.6) allowing to filter for a time range. Enter the date range closing time until which Transactions were submitted to Retain.

Defaults to timestamp + 1 day. Range with start_timestamp cannot exceed 31 days.

account_id
string

Merchant's unique identifier for Account/customer related to a submitted Transaction.

subscription_id
string

Merchant's unique identifier for Subscription related to a submitted Transaction.

transaction_id
string

Identifier of Transaction to retrieve.

{transaction_id} can be either:

  • The Merchant supplied identifier of a transaction that failed billing in the Merchant's billing system (aka a 'Failed' transaction identifier)
  • The Retain generated identifier of a retry transaction (either successful or declined)
status
enum<string>[]

Filters the list of transactions fetched by refund status. Can be:

  • Error
  • Complete
  • Processing
Available options:
Error,
Complete,
Processing
limit
integer<int32>
default:20

A limit on the number of objects to be returned, between 1 and 100.

If set to greater than 100, the value is set to 100.

Required range: 1 <= x <= 100
starting_after
string

A cursor for use in pagination. starting_after is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

ending_before
string

A cursor for use in pagination. ending_before is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

Response

List of Transactions with pagination links

object
enum<string>
Available options:
List
data
object[]
url
string

The query string provided in the request

next
string

The route (partial URL) to the next Transaction object (string to select the “next”); included id should match that of the last object returned here.

previous
string

The route (partial URL) to the previous Transaction object (string to select the “previous”); included id should match that of the first object returned here.

total_records
integer

Integer count of the number of items in the returned list.